dnl Process this file with autoconf to produce a configure script.
AC_INIT(get_filename.c)
AC_PROG_CC
AC_PROG_RANLIB
AC_PROG_LN_S
AC_PROG_INSTALL
dnl Checks for header files.
AC_HEADER_DIRENT
AC_CHECK_HEADERS(sys/select.h)

dnl Check for libraries
AC_CHECK_LIB(nsl, gethostname, [LIBS="$LIBS -lnsl"])
AC_CHECK_LIB(socket, setsockopt, [LIBS="$LIBS -lsocket"])

dnl Optional stuff
AC_ARG_ENABLE(structured-queries,, AC_DEFINE(STRUCTURED_QUERIES,0),AC_DEFINE(STRUCTURED_QUERIES,1))
AC_ARG_ENABLE(pointer,,, AC_DEFINE(AGREP_POINTER))
AC_ARG_ENABLE(measure-times,, AC_DEFINE(MEASURE_TIMES))

AC_OUTPUT(Makefile index/Makefile compress/Makefile agrep/Makefile libtemplate/Makefile libtemplate/util/Makefile libtemplate/template/Makefile)

